# Default Sample

This is a sample/reference implementation for showing the usage of
PSConfluencePublisher.

The sample provides sample data, which was generated by a sample of the
[victorykit-xconfluencebuilder](https://bitbucket.org/victorykit/xconfluencebuilder).
The data can be found inside the `data/` directory.

## Usage

To get started, first identify your Confluence instance and make sure you have
the following data at hand:

* Hostname of Confluence instance
* URL of parent/root page to publish to (you can copy it directly from your
  browser)
* personal access token

Next, make sure you changed your working directory to this directory
(`samples/default/`, navigating from the root of the repository).

Now, import the module by executing the following:

```
Import-Module ../../tools/PSConfluencePublisher.psd1
```

```
$manifest = Get-Manifest -File data/manifest.json
```
